Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class TransferableNode

    java.lang.Object
      org.infoml.infocardOrganizer.TransferableNode

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable

    public class TransferableNode

extends java.lang.Object
implements java.awt.datatransfer.Transferable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.awt.datatransfer.DataFlavor` | `NODE_FLAVOR`

Constructor Summary
`TransferableNode()`

Method Summary
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor df)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_FLAVOR

    public static final java.awt.datatransfer.DataFlavor NODE_FLAVOR

Constructor Detail

### TransferableNode

    public TransferableNode()

Method Detail

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor df)

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD